Bug 730459 - NetworkManager disconnects wireless occasionally, refuses to bring wireless up after disconnect.
Summary: NetworkManager disconnects wireless occasionally, refuses to bring wireless u...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-13 07:42 UTC by E Järvinen
Modified: 2012-08-07 16:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:03:39 UTC


Attachments (Terms of Use)
Contents of /etc/sysconfig/network-scripts/ifcfg-systemwide (302 bytes, text/plain)
2011-08-13 07:43 UTC, E Järvinen
no flags Details

Description E Järvinen 2011-08-13 07:42:11 UTC
Description of problem:

Wireless disconnects intermittently, after an hour or so.

Version-Release number of selected component (if applicable):

NetworkManager.i686 1:0.8.9997-6.git20110721.fc15

How reproducible:

Just leave the computer on for a longer time.

Steps to Reproduce:
1. Start computer, NM starts up and brings up wireless
2. Wait
3.
  
Actual results:

Intermittent disconnects

Expected results:

No disconnects.

Additional info:

When trying to bring up the wireless manually from the terminal, this is what happens:

[root@simone ~]# ifup systemwide
Active connection state: activating
Active connection path: /org/freedesktop/NetworkManager/ActiveConnection/0

** (process:3679): WARNING **: _nm_object_get_property: Error getting 'State' for /org/freedesktop/NetworkManager/ActiveConnection/0: (19) Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist


state: unknown
Error: Connection activation failed.

Wireless is brought up in startup scripts (in rc.local, by a simple "ifup systemwide")  ifcfg-systemwide attached.

Downgrading NetworkManager, NetworkManager-glib and NetworkManager-gnome to 1:0.8.999-2.git20110509.fc15 seems to help.  If you need additional info, just ask.

Comment 1 E Järvinen 2011-08-13 07:43:27 UTC
Created attachment 518138 [details]
Contents of /etc/sysconfig/network-scripts/ifcfg-systemwide

Comment 2 Dave Johnson 2012-01-23 01:25:04 UTC
I've been cursing at my Fedora installation for about a year because of this bug.  It isn't uncommon, I've talked to a few people who've been doing the same thing.  I hate to be the one who says, "but it works in ubuntu," but I switched to UbStudio for a while just to get away from this.

I put F16 _64 back on the machine today in hopes of not having the failure of a wifi connection bug again, but it looks like it's still very much in full force.  

I can't seem to like anything else as much as I do Fedora, so I'm going to just put up with it.  Anything I can do to help will be provided.

Comment 3 Fedora End Of Life 2012-08-07 16:03:42 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.